Bug 427945 - Plasma Crashes when plugging in or unplugging removable drive
Summary: Plasma Crashes when plugging in or unplugging removable drive
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-crash (show other bugs)
Version: 5.21.4
Platform: Archlinux Packages Linux
: VHI crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 430431 439498 440983 442475 444352 444373 445114 445231 445247 445605 446561 447749 448345 448857 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-18 22:52 UTC by Dashon
Modified: 2022-01-21 23:54 UTC (History)
21 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
New crash information added by DrKonqi (3.39 KB, text/plain)
2021-10-28 15:54 UTC, Mykola Krachkovsky
Details
New crash information added by DrKonqi (3.04 KB, text/plain)
2021-11-03 23:14 UTC, Mykola Krachkovsky
Details
widget broken layout (not sure is related) (132.59 KB, image/png)
2021-12-12 20:16 UTC, Mykola Krachkovsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dashon 2020-10-18 22:52:29 UTC
Application: plasmashell (5.20.0)

Qt Version: 5.15.1
Frameworks Version: 5.75.0
Operating System: Linux 5.8.14-1-default x86_64
Windowing system: X11
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:
Ever since the update to 5.20 the first time I plug in one of my 8 tb external hard drives. It causes plasmashell to crash. Crashes do not happen if removed and replugged in. I have to reboot the system and then plug in the drive in order to retrigger the crash.

The crash does not seem to be reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault

[New LWP 2020]
[New LWP 2046]
[New LWP 2146]
[New LWP 2152]
[New LWP 2153]
[New LWP 2154]
[New LWP 2155]
[New LWP 2178]
[New LWP 2236]
[New LWP 2706]
[New LWP 2926]
[New LWP 2927]
[New LWP 2928]
[New LWP 2929]
[New LWP 2930]
[New LWP 2931]
[New LWP 2932]
[New LWP 2933]
[New LWP 21099]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f4b97cefe7f in __GI___poll (fds=0x7ffe9b865870, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
29	  return SYSCALL_CANCEL (poll, fds, nfds, timeout);
[Current thread is 1 (Thread 0x7f4b95bef840 (LWP 2005))]

Thread 20 (Thread 0x7f4b5d4fa640 (LWP 21099)):
#0  0x00007f4b97cefe7f in __GI___poll (fds=0x7f4b48002450, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4b787e8542 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f4b787d9f89 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f4b787da60f in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f4b787da6c0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f4b787e8619 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f4b7877f5e8 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-13.0.so
#7  0x00007f4b97244eb1 in start_thread (arg=0x7f4b5d4fa640) at pthread_create.c:463
#8  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f4b26ffd640 (LWP 2933)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f4b97244eb1 in start_thread (arg=0x7f4b26ffd640) at pthread_create.c:463
#10 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f4b277fe640 (LWP 2932)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#13 0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#14 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#15 0x00007f4b97244eb1 in start_thread (arg=0x7f4b277fe640) at pthread_create.c:463
#16 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f4b27fff640 (LWP 2931)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f4b97244eb1 in start_thread (arg=0x7f4b27fff640) at pthread_create.c:463
#10 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f4b54ff9640 (LWP 2930)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#13 0x00007f4b97244eb1 in start_thread (arg=0x7f4b54ff9640) at pthread_create.c:463
#14 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f4b557fa640 (LWP 2929)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#13 0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#14 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#15 0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#16 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#17 0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#18 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#19 0x00007f4b97244eb1 in start_thread (arg=0x7f4b557fa640) at pthread_create.c:463
#20 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f4b55ffb640 (LWP 2928)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#13 0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#14 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#15 0x00007f4b97244eb1 in start_thread (arg=0x7f4b55ffb640) at pthread_create.c:463
#16 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f4b567fc640 (LWP 2927)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f4b97244eb1 in start_thread (arg=0x7f4b567fc640) at pthread_create.c:463
#10 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f4b56ffd640 (LWP 2926)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec9c25b50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec9c25b00, cond=0x55eec9c25b28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec9c25b28, mutex=0x55eec9c25b00) at pthread_cond_wait.c:638
#3  0x00007f4b9808192b in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b793f9d73 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f4b793fa0a9 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f4b793fa11e in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f4b793f7fd2 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f4b793f8ac0 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#11 0x00007f4b97244eb1 in start_thread (arg=0x7f4b56ffd640) at pthread_create.c:463
#12 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f4b5f583640 (LWP 2706)):
#0  0x00007f4b97cefe7f in __GI___poll (fds=0x7f4b58006140, nfds=1, timeout=1599940) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4b966c75ee in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4b966c770f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4b982b25cb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b98259a1b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f4b9807a7ce in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f4b5fac5428 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#7  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f4b97244eb1 in start_thread (arg=0x7f4b5f583640) at pthread_create.c:463
#9  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f4b7b21d640 (LWP 2236)):
#0  0x00007f4b97cefe7f in __GI___poll (fds=0x7f4b68004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4b966c75ee in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4b966c770f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4b982b25cb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b98259a1b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f4b9807a7ce in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f4b998c72d5 in QQmlThreadPrivate::run (this=0x55eec8059f10) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/qml/qml/ftw/qqmlthread.cpp:155
#7  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f4b97244eb1 in start_thread (arg=0x7f4b7b21d640) at pthread_create.c:463
#9  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f4b7bfff640 (LWP 2178)):
#0  0x00007f4b97cefe7f in __GI___poll (fds=0x7f4b6400f780, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4b966c75ee in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4b966c770f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4b982b25cb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f4b98259a1b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f4b9807a7ce in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f4b99c85926 in QQuickPixmapReader::run (this=0x55eec63999a0) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/quick/util/qquickpixmapcache.cpp:1024
#7  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f4b97244eb1 in start_thread (arg=0x7f4b7bfff640) at pthread_create.c:463
#9  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f4b820a8640 (LWP 2155)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec61b567c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec61b5628, cond=0x55eec61b5650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec61b5650, mutex=0x55eec61b5628) at pthread_cond_wait.c:638
#3  0x00007f4b8370a8fb in ?? () from /usr/lib64/dri/i965_dri.so
#4  0x00007f4b83709c67 in ?? () from /usr/lib64/dri/i965_dri.so
#5  0x00007f4b97244eb1 in start_thread (arg=0x7f4b820a8640) at pthread_create.c:463
#6  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f4b828a9640 (LWP 2154)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec61b5678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec61b5628, cond=0x55eec61b5650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec61b5650, mutex=0x55eec61b5628) at pthread_cond_wait.c:638
#3  0x00007f4b8370a8fb in ?? () from /usr/lib64/dri/i965_dri.so
#4  0x00007f4b83709c67 in ?? () from /usr/lib64/dri/i965_dri.so
#5  0x00007f4b97244eb1 in start_thread (arg=0x7f4b828a9640) at pthread_create.c:463
#6  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f4b7a8a9640 (LWP 2153)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec61b5678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec61b5628, cond=0x55eec61b5650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec61b5650, mutex=0x55eec61b5628) at pthread_cond_wait.c:638
#3  0x00007f4b8370a8fb in ?? () from /usr/lib64/dri/i965_dri.so
#4  0x00007f4b83709c67 in ?? () from /usr/lib64/dri/i965_dri.so
#5  0x00007f4b97244eb1 in start_thread (arg=0x7f4b7a8a9640) at pthread_create.c:463
#6  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f4b830aa640 (LWP 2152)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55eec61b567c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55eec61b5628, cond=0x55eec61b5650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55eec61b5650, mutex=0x55eec61b5628) at pthread_cond_wait.c:638
#3  0x00007f4b8370a8fb in ?? () from /usr/lib64/dri/i965_dri.so
#4  0x00007f4b83709c67 in ?? () from /usr/lib64/dri/i965_dri.so
#5  0x00007f4b97244eb1 in start_thread (arg=0x7f4b830aa640) at pthread_create.c:463
#6  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f4b91556640 (LWP 2146)):
#0  __GI___libc_read (nbytes=16, buf=0x7f4b91555a80, fd=10) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=10, buf=0x7f4b91555a80, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f4b9671018f in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4b966c713e in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4b966c7595 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4b966c770f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f4b982b25cb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#7  0x00007f4b98259a1b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f4b9807a7ce in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#9  0x00007f4b998c72d5 in QQmlThreadPrivate::run (this=0x55eec5eab9b0) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/qml/qml/ftw/qqmlthread.cpp:155
#10 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#11 0x00007f4b97244eb1 in start_thread (arg=0x7f4b91556640) at pthread_create.c:463
#12 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f4b927ba640 (LWP 2046)):
#0  __GI___libc_read (nbytes=16, buf=0x7f4b927b9a50, fd=6) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=6, buf=0x7f4b927b9a50, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f4b9671018f in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4b966c713e in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4b966c7595 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4b966c770f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f4b982b25cb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#7  0x00007f4b98259a1b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f4b9807a7ce in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#9  0x00007f4b98c4ca27 in ?? () from /usr/lib64/libQt5DBus.so.5
#10 0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#11 0x00007f4b97244eb1 in start_thread (arg=0x7f4b927ba640) at pthread_create.c:463
#12 0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f4b93b2b640 (LWP 2020)):
#0  0x00007f4b97cefe7f in __GI___poll (fds=0x7f4b93b2abc8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4b9a19b862 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f4b9a19d26c in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f4b93d10270 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f4b9807b911 in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007f4b97244eb1 in start_thread (arg=0x7f4b93b2b640) at pthread_create.c:463
#6  0x00007f4b97cfaccf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f4b95bef840 (LWP 2005)):
[KCrash Handler]
#4  std::__atomic_base<QThreadData*>::load (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/10/bits/atomic_base.h:741
#5  std::atomic<QThreadData*>::load (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/10/atomic:523
#6  QAtomicOps<QThreadData*>::loadRelaxed<QThreadData*> (_q_value=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#7  QBasicAtomicPointer<QThreadData>::loadRelaxed (this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qbasicatomic.h:248
#8  QQmlNotifierEndpoint::connect (this=this@entry=0x55eece3ac828, source=0x55eed261c710, sourceSignal=46, engine=0x0, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/qml/qml/qqmlnotifier.cpp:122
#9  0x00007f4b99816e34 in QQmlVMEMetaObjectEndpoint::tryConnect (this=0x55eece3ac828) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/include/QtQml/5.15.1/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:266
#10 0x00007f4b9986a7a9 in QQmlNotifierEndpoint::connect (this=this@entry=0x55eec9628540, source=source@entry=0x55eed2f54770, sourceSignal=sourceSignal@entry=31, engine=0x55eec5ea6360, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/qml/qml/qqmlnotifier.cpp:138
#11 0x00007f4b99887ec6 in QQmlPropertyCapture::captureProperty (this=0x7ffe9b8665f0, o=o@entry=0x55eed2f54770, c=<optimized out>, n=31, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/src/qml/qml/qqmljavascriptexpression.cpp:315
#12 0x00007f4b99751aed in QV4::QObjectWrapper::getProperty (engine=0x55eec5eabdd0, object=0x55eed2f54770, property=0x7f4b88996b88) at /usr/src/debug/libqt5-qtdeclarative-5.15.1-2.1.x86_64/include/QtQml/5.15.1/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#13 0x00007f4b7b47076d in ?? ()
#14 0x0000000000000000 in ?? ()
[Inferior 1 (process 2005) detached]

Possible duplicates by query: bug 422533.

Reported using DrKonqi
Comment 1 Dashon 2020-10-22 13:28:42 UTC
Just wanted to add. This happens with any external hard drive no matter what size. It only occurs on my laptop and not my desktop which is also running openSUSE Tumbleweed with kde 5.20. The laptop is using intel graphics.
Comment 2 Dashon 2020-10-22 13:36:02 UTC
Crash does not occur when. External drive is already plugged in prior to boot up.
Comment 3 Dashon 2020-10-22 13:53:49 UTC
I managed to solve the problem by deleting the file device_automounter_kcmrc located in the users $HOME/.config folder. All external hard drives are now mounted without crashing plasma.
Comment 4 Nate Graham 2021-02-26 17:06:23 UTC
*** Bug 430431 has been marked as a duplicate of this bug. ***
Comment 5 Dashon 2021-04-07 23:52:38 UTC
I seem to be once again facing the issue on arch 5.21.4. I'm using latte dock but it also happens with the default plasma panel. I normally have both default panels and latte dock panels set to autohide.Only happens once per reboot. First hard drive I plug in causes a crash. Works fine every time afterwards. I decided to delete the file I delete last time and I will continue to test this over the next few days.
Comment 6 Dashon 2021-04-10 04:50:12 UTC
It happens every time I plug in a drive after restarting plasmashell and thus the plasma panel or every time I restart latte-dock.
Comment 7 Nate Graham 2021-08-31 19:46:31 UTC
*** Bug 439498 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2021-10-25 21:43:47 UTC
*** Bug 442475 has been marked as a duplicate of this bug. ***
Comment 9 Nate Graham 2021-10-25 21:45:25 UTC
*** Bug 444352 has been marked as a duplicate of this bug. ***
Comment 10 Nate Graham 2021-10-25 22:02:07 UTC
*** Bug 444373 has been marked as a duplicate of this bug. ***
Comment 11 Max 2021-10-26 04:32:52 UTC
For me plasmashell seems to crash only (and not always, but often) if I unmount last flash drive in "Disk and Devices" list, so the list becomes empty.
Comment 12 Dashon 2021-10-26 07:05:31 UTC
I wanted to add that I haven't experienced this in a while on plasma 5.23 using wayland. Haven't tested again with x11.
Comment 13 Mykola Krachkovsky 2021-10-28 15:54:59 UTC
Created attachment 142969 [details]
New crash information added by DrKonqi

plasmashell (5.23.1) using Qt 5.15.2

- What I was doing when the application crashed:

1. Pressed safely remove on the mounted partition of external HDD.

-- Backtrace (Reduced):
#6  std::__atomic_base<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/bits/atomic_base.h:836
#7  std::atomic<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/atomic:570
#8  QAtomicOps<QThreadData*>::loadRelaxed<QThreadData*>(std::atomic<QThreadData*> const&) (_q_value=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QThreadData>::loadRelaxed() const (this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qbasicatomic.h:248
#10 QQmlNotifierEndpoint::connect(QObject*, int, QQmlEngine*, bool) (this=this@entry=0x55c6395e0f10, source=0x55c63a385d80, sourceSignal=46, engine=0x0, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.5.x86_64/src/qml/qml/qqmlnotifier.cpp:122
Comment 14 niluxv.opensource.C-h2ty6xl 2021-11-02 10:11:24 UTC
I also haven't had issues since my recent upgrade to plasma 5.23.2, still using x11.
Comment 15 Nate Graham 2021-11-03 16:52:54 UTC
Me neither. Anyone else?
Comment 16 Mykola Krachkovsky 2021-11-03 23:14:01 UTC
Created attachment 143185 [details]
New crash information added by DrKonqi

plasmashell (5.23.2) using Qt 5.15.2

Still happens to me on 5.23.2

- What I was doing when the application crashed:

Pressed safely remove on the mounted partition of external HDD.

-- Backtrace (Reduced):
#6  std::__atomic_base<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/bits/atomic_base.h:836
#7  std::atomic<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/atomic:570
#8  QAtomicOps<QThreadData*>::loadRelaxed<QThreadData*>(std::atomic<QThreadData*> const&) (_q_value=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QThreadData>::loadRelaxed() const (this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qbasicatomic.h:248
#10 QQmlNotifierEndpoint::connect(QObject*, int, QQmlEngine*, bool) (this=this@entry=0x55d9c7841410, source=0x55d9c5fd3de0, sourceSignal=46, engine=0x0, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:122
Comment 17 Mykola Krachkovsky 2021-11-04 09:27:50 UTC
Still happens to me on 5.23.2, details in previous comment from DrKonqi.
Comment 18 Nate Graham 2021-11-09 03:48:23 UTC
*** Bug 445114 has been marked as a duplicate of this bug. ***
Comment 19 Nate Graham 2021-11-10 17:01:40 UTC
*** Bug 445247 has been marked as a duplicate of this bug. ***
Comment 20 Nate Graham 2021-11-10 17:01:47 UTC
*** Bug 445231 has been marked as a duplicate of this bug. ***
Comment 21 Nate Graham 2021-11-10 17:02:08 UTC
Raising priority due to number of duplicates.
Comment 22 Samuel 2021-11-11 07:23:38 UTC
I am having the issue where when I unmount a mounted USB using GUI method i.e., Systray Applet or through Dolphin, the plasmashell crashes and then replaces itself. Here is the video showcasing this issue :- https://www.youtube.com/watch?v=WfIZxLBrRLE
Comment 23 Nate Graham 2021-11-24 04:28:02 UTC
*** Bug 445605 has been marked as a duplicate of this bug. ***
Comment 24 Nate Graham 2021-12-07 03:50:53 UTC
*** Bug 446561 has been marked as a duplicate of this bug. ***
Comment 25 David Edmundson 2021-12-11 22:03:30 UTC
If someone who can reliably reproduce run 

`valgrind plasmashell` the reproduce the effect it would be much appreciated.

Or someone with enough gdb skills:

In frame 10 on:#10 QQmlNotifierEndpoint::connect(QObject*, int, QQmlEngine*, bool) (this=this@entry=0x55c6395e0f10, source=0x55c63a385d80, sourceSignal=46, engine=0x0, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.5.x86_64/src/qml/qml/qqmlnotifier.cpp:122

Print that first QObject's object->metaObject()->className()
Comment 26 Mykola Krachkovsky 2021-12-12 14:15:05 UTC
(In reply to David Edmundson from comment #25)
> Print that first QObject's object->metaObject()->className()

```
(gdb) frame 4
#4  QQmlNotifierEndpoint::connect (this=this@entry=0x555557c46da0, source=0x7fffec02a500, sourceSignal=47, engine=0x0, doNotify=doNotify@entry=true)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-1.2.x86_64/src/qml/qml/qqmlnotifier.cpp:122
122             QObjectPrivate::get(engine)->threadData.loadRelaxed()->threadId.loadRelaxed()) {
(gdb) p source->metaObject()->className()
$3 = 0x555557149a30 "PlasmoidItem_QMLTYPE_796"
```
Comment 27 Fushan Wen 2021-12-12 16:11:41 UTC
I can only think of a possible cause: duplicate udi
Comment 28 Fushan Wen 2021-12-12 16:24:53 UTC
(In reply to Fushan Wen from comment #27)
> I can only think of a possible cause: duplicate udi
In solid/src/solid/devices/backends/udisks2/udisksblock.cpp
```
const QString udi = path + "/" + nodeElem.attribute("name");
```


Could `nodeElem.attribute("name")` be an empty string?
Comment 29 Fushan Wen 2021-12-12 17:03:13 UTC
I did some experiments to modify udi in Solid but still can't reproduce the crash.

Does the crash happen for a specific removable device? Do you try other removable devices?
Comment 30 Mykola Krachkovsky 2021-12-12 18:11:26 UTC
Well, I use the same device, USB HDD with two partitions, one of which (ext4) is configured to mount on connect, second (ntfs) isn't mounted. I'll try to check thumb drives or other hdd, usually using just this one.
Comment 31 Mykola Krachkovsky 2021-12-12 18:16:20 UTC
(In reply to Fushan Wen from comment #27)
> I can only think of a possible cause: duplicate udi

This could lead to null engine? I don't know that code, `QQmlEngine* engine=0x0` looks strange to me, but I don't know what can cause that.
Comment 32 Mykola Krachkovsky 2021-12-12 20:05:05 UTC
These lines are logged before crash, maybe they are up to something:
```
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:158:5: Unable to assign [undefined] to QString
kf.solid.backends.udisks2: Error getting props: "org.freedesktop.DBus.Error.UnknownMethod" "Object does not exist at path “/org/freedesktop/UDisks2/drives/ST2000LM007_1R8174_ZDZ64EF7”"
kf.solid.backends.udisks2: Error getting props: "org.freedesktop.DBus.Error.UnknownMethod" "Object does not exist at path “/org/freedesktop/UDisks2/drives/ST2000LM007_1R8174_ZDZ64EF7”"
```

(I've added `deviceItem.message.error || ""` in subtitle, not sure if that would have any effect on the first log line).

btw, seems like some race condition, cause with normal running I got crash in about 15-25% of times, while under gdb it happens more often (though it may be just random fluctuations).

Another possibly interesting information, one frame earlier in `QQmlVMEMetaObjectEndpoint::tryConnect` — `connect(target, pd->notifyIndex(), ctxt->engine);`
`p pd->name(target)` returns basically string `inVisibleLayout` so, if I understood correctly (not sure) crash is on getting this bool (pd->m_propType == 1) property. Searching for it gives only two files:
```
/usr/share/plasma/plasmoids/org.kde.plasma.private.systemtray/contents/ui/CurrentItemHighLight.qml
/usr/share/plasma/plasmoids/org.kde.plasma.private.systemtray/contents/ui/items/AbstractItem.qml
```

Also widget has broken layout, maybe due to this problem or unrelated.
Comment 33 Mykola Krachkovsky 2021-12-12 20:16:05 UTC
Created attachment 144489 [details]
widget broken layout (not sure is related)
Comment 34 Fushan Wen 2021-12-13 01:01:27 UTC
(In reply to Mykola Krachkovsky from comment #30)
> Well, I use the same device, USB HDD with two partitions, one of which
> (ext4) is configured to mount on connect, second (ntfs) isn't mounted. I'll
> try to check thumb drives or other hdd, usually using just this one.

The information is important. Now I can reproduce the crash by following steps below:

1. Create two partitions, one using ext4 and the other using fat32.
2. Mount two partitions
3. Unmount fat32, and unmount ext4 (order is not important)
4. Crash
Comment 35 Fushan Wen 2021-12-13 01:07:43 UTC
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = <optimized out>}
[KCrash Handler]
#6  std::__atomic_base<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/bits/atomic_base.h:836
#7  std::atomic<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/11/atomic:570
#8  QAtomicOps<QThreadData*>::loadRelaxed<QThreadData*>(std::atomic<QThreadData*> const&) (_q_value=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QThreadData>::loadRelaxed() const (this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/qt5/QtCore/qbasicatomic.h:248
#10 QQmlNotifierEndpoint::connect(QObject*, int, QQmlEngine*, bool) (this=this@entry=0x67b6a50, source=0x4fefae0, sourceSignal=47, engine=0x0, doNotify=doNotify@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-ku.1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:122
#11 0x00007f935c1aa405 in QQmlVMEMetaObjectEndpoint::tryConnect() (this=0x67b6a50) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-ku.1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:258
#12 0x00007f935c1aa6a8 in QQmlVMEMetaObject::connectAlias(int) (this=this@entry=0x6ecd430, aliasId=aliasId@entry=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-ku.1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:1294
#13 0x00007f935c1abc99 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x6ecd430, o=<optimized out>, c=QMetaObject::ReadProperty, _id=<optimized out>, a=0x7fff77124470) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-ku.1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:906
#14 0x00007f935c0dfedd in QQmlPropertyData::readProperty(QObject*, void*) const (property=0x7fff77124450, target=<optimized out>, this=0x7f93089e5888) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlpropertydata_p.h:357
#15 loadProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData const&) (v4=0x2820e40, object=0x55e44b0, property=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde36-ku.1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:152
#16 0x00007f930184fa93 in  ()
#17 0x0000000000000000 in  ()
[Inferior 1 (process 25602) detached]
Comment 36 Fushan Wen 2021-12-13 01:54:40 UTC
Correct: Order is important
1. Mount fat32 and ext4
2. Unmount ext4 and then unmount fat32 (last mounted first unmounted)
3. Crash
Comment 38 Bug Janitor Service 2021-12-13 14:48:36 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1273
Comment 39 Bug Janitor Service 2021-12-13 15:47:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1274
Comment 40 Nate Graham 2021-12-17 16:36:35 UTC
Git commit d9cfb336e1943dd6b50b5e410b925b31cdb3fa41 by Nate Graham, on behalf of Fushan Wen.
Committed on 17/12/2021 at 16:28.
Pushed by ngraham into branch 'master'.

applets/devicenotifier: Use SequentialAnimation in ListView.onRemove

It's more stable to use SequentialAnimation to perform a series of
actions when an item is going to be removed from a list.

M  +13   -22   applets/devicenotifier/package/contents/ui/DeviceItem.qml
M  +2    -1    applets/devicenotifier/package/contents/ui/FullRepresentation.qml
M  +11   -2    applets/devicenotifier/package/contents/ui/devicenotifier.qml

https://invent.kde.org/plasma/plasma-workspace/commit/d9cfb336e1943dd6b50b5e410b925b31cdb3fa41
Comment 41 Nate Graham 2022-01-04 04:21:52 UTC
*** Bug 440983 has been marked as a duplicate of this bug. ***
Comment 42 Nate Graham 2022-01-12 01:30:13 UTC
*** Bug 447749 has been marked as a duplicate of this bug. ***
Comment 43 Fushan Wen 2022-01-13 07:52:28 UTC
*** Bug 448345 has been marked as a duplicate of this bug. ***
Comment 44 Fushan Wen 2022-01-21 23:54:07 UTC
*** Bug 448857 has been marked as a duplicate of this bug. ***